Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78471 - spamc/spamd: failed sanity check when spam arrives
Summary: spamc/spamd: failed sanity check when spam arrives
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: spamassassin
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
: 89613 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-23 23:28 UTC by Maciej Kycler
Modified: 2007-04-18 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-29 05:14:46 UTC


Attachments (Terms of Use)

Description Maciej Kycler 2002-11-23 23:28:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
spamd is running. When spam-like mail arrives, no filtering occures.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start spamd, enter proper configuration in /etc/procmailrc:
:0fw * < 256000
| /usr/bin/spamc -f

:0:
* ^X-Spam-Status: Yes
/dev/null

2. post a spam-like mail


Actual Results:  Although spam is recognized, no filtering occures (message
headers remain unchanged)

Expected Results:  Procmail should perform filtering (spamc should alter message
headers to identify spam)

Additional info:

The following entries appear in /var/log/maillog:
Nov 19 11:39:01 maciejka spamd[905]: connection from maciejka.net [ 127.0.0.1 ]
at port 32878
Nov 19 11:39:01 maciejka spamd[5711]: info: setuid to mkycler succeeded
Nov 19 11:39:33 maciejka spamd[5711]: identified spam (31.1/5.0) for
mkycler:1002 in  32 seconds, 4858 bytes.
Nov 19 11:39:33 maciejka spamc[5710]: failed sanity check, 7694 bytes claimed,
7709 bytes seen

Comment 1 James Henstridge 2002-12-03 07:28:01 UTC
I was seeing this issue as well (along with "Malformed UTF-8 Character"
warnings, etc).  It seems that SpamAssassin does not handle UTF-8 locales very
well.  A suggested workaround is to put "export LANG=C" in the
/etc/sysconfig/spamd file and do "service spamassassin restart".

Comment 2 Need Real Name 2002-12-31 15:00:10 UTC
In a default RH8 installation there is no /etc/sysconfig/spamd.  Do you mean
/etc/sysconfig/spamassassin?

I don't see any problem with "Malformed UTF-8 Character", but I do have the
problem that procmail doesn't seem to process its rules.  Is there any fix or
workaround?



Comment 3 Chip Turner 2003-01-01 17:11:08 UTC
sounds like a utf8 issue; try the latest perl and spamassassin from rawhide? 
can you confirm whether it works with the latest, or if the LANG=C fixes the
problem?

Comment 4 Maciej Kycler 2003-01-02 11:45:05 UTC
"export LANG=C" in /etc/sysconfig/spamassassin solved the problem.
I haven't tried the latest perl nor spamassassin.

Comment 5 Need Real Name 2003-04-26 01:01:38 UTC
*** Bug 89613 has been marked as a duplicate of this bug. ***

Comment 6 Need Real Name 2003-04-29 13:13:33 UTC
same problem exists on RH9, same workaround applies.

Comment 7 Warren Togami 2004-02-28 22:09:30 UTC
Is this still an issue on RH9?

Comment 8 Warren Togami 2005-04-29 05:14:46 UTC
Closing old bugs


Note You need to log in before you can comment on or make changes to this bug.